## org.eclipse.emf.edit.provider
Interface IChangeNotifier

All Known Subinterfaces:
  MappedObjectState

All Known Implementing Classes:
  AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory, AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory, ChangeDescriptionItemProvider, ChangeItemProviderAdapterFactory, ChangeNotifier, ComplexTypeConverterItemProvider, ComposedAdapterFactory, DecoratorAdapterFactory, DelegatingWrapperItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, Ecore2EcoreItemProviderAdapterFactory, Ecore2EcoreMappingRootItemProvider, Ecore2XMLItemProviderAdapterFactory, EcoreItemProviderAdapterFactory, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FeatureMapEntryWrapperItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseItemProvider, GenClassItemProvider, GenDataTypeItemProvider, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelItemProvider, GenModelItemProviderAdapterFactory, GenOperationItemProvider, GenPackageItemProvider, ItemProvider, ItemProviderAdapter, ItemProviderDecorator, ListChangeItemProvider, MappedObjectItemProvider, MappingEditor.MyDecoratorAdapterFactory, MappingEditor.OverviewDecoratorAdapterFactory, MappingHelperItemProvider, MappingItemProvider, MappingItemProviderAdapter, MappingItemProviderAdapterFactory, MappingRootImpl.MappedObjectStateAdapter, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ReflectiveItemProviderAdapterFactory, ResourceChangeItemProvider, ResourceItemProvider, ResourceItemProviderAdapterFactory, ResourceSetItemProvider, TreeItemProviderAdapterFactory, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

    public interface IChangeNotifier

This interface is implemented by something that can handle MOF-style change notifications. See `Adapter` and `Notifier` for more details.

Method Summary
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds another listener.
`void` `fireNotifyChanged(Notification notification)` This calls `notifyChanged` for each listener.
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.

Method Detail

### fireNotifyChanged

    void fireNotifyChanged(Notification notification)

  This calls `notifyChanged` for each listener.

### addListener

    void addListener(INotifyChangedListener notifyChangedListener)

  This adds another listener.

### removeListener

    void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.